import React from 'react';
export default function VerticalText(props) {
    const { transform = '', style, label, ...otherProps } = props;
    return (React.createElement("text", Object.assign({}, otherProps, { transform: `${transform}rotate(-90)`, textAnchor: "middle", style: {
            ...style,
            cursor: 'vertical-text',
        } }), label));
}
//# sourceMappingURL=VerticalText.js.map