/// <reference types="react" />
import type { AxisContextType, PlotContextType, ReducerActions, State } from './types';
interface DispatchContextType {
    dispatch: ((action: ReducerActions) => void) | null;
}
export declare const PlotContext: import("react").Context<PlotContextType>;
export declare const DispatchContext: import("react").Context<DispatchContextType>;
export declare function usePlotContext(): PlotContextType;
export declare function useDispatchContext(): DispatchContextType;
interface SizeProps {
    plotWidth: number;
    plotHeight: number;
}
export declare function useAxisContext(state: State, { plotWidth, plotHeight }: SizeProps): Record<string, AxisContextType>;
export {};
