"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
/**
 * Like <rect>, but transparent by default
 */
function TransparentRect(props) {
    const { style } = props;
    return (react_1.default.createElement("rect", Object.assign({}, props, { style: { fillOpacity: style.fill ? undefined : 0, ...style } })));
}
exports.default = TransparentRect;
