import React from 'react';
/**
 * Like <rect>, but transparent by default
 */
export default function TransparentRect(props) {
    const { style } = props;
    return (React.createElement("rect", Object.assign({}, props, { style: { fillOpacity: style.fill ? undefined : 0, ...style } })));
}
//# sourceMappingURL=TransparentRect.js.map